رفض الموافقة على الوكيل
curl --request POST \
--url https://api.truthlocks.com/v1/approvals/{approvalID}/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.truthlocks.com/v1/approvals/{approvalID}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/approvals/{approvalID}/reject"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/approvals/{approvalID}/reject"
payload := strings.NewReader("{\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"requested_by": "<string>",
"status": "pending",
"expires_at": "2023-11-07T05:31:56Z",
"required_approvals": 5,
"current_approvals": 5,
"decisions": [
{
"reviewer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision": "approved",
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "<string>",
"resource": "<string>",
"scope": "<string>",
"justification": "<string>",
"decision_reason": "<string>",
"risk_level": "low",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"approval_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}موافقات الوكيل (MAIP)
رفض الموافقة على الوكيل
يمكن لمراجع بشري مستقل ومصرح له الرفض مرة واحدة. يؤدي الرفض الواحد إلى إغلاق الطلب فورًا. لا يمكن مراجعة مقدمي الطلبات، والمراجعين السابقين، ومفاتيح API، والطلبات منتهية الصلاحية.
POST
/
v1
/
approvals
/
{approvalID}
/
reject
رفض الموافقة على الوكيل
curl --request POST \
--url https://api.truthlocks.com/v1/approvals/{approvalID}/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.truthlocks.com/v1/approvals/{approvalID}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/approvals/{approvalID}/reject"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/approvals/{approvalID}/reject"
payload := strings.NewReader("{\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"requested_by": "<string>",
"status": "pending",
"expires_at": "2023-11-07T05:31:56Z",
"required_approvals": 5,
"current_approvals": 5,
"decisions": [
{
"reviewer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision": "approved",
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "<string>",
"resource": "<string>",
"scope": "<string>",
"justification": "<string>",
"decision_reason": "<string>",
"risk_level": "low",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decided_by": "<string>",
"approval_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}يمكن لمراجع بشري مستقل ومصرح له الرفض مرة واحدة. يؤدي الرفض الواحد إلى إغلاق الطلب فورًا. لا يمكن مراجعة مقدمي الطلبات، والمراجعين السابقين، ومفاتيح API، والطلبات منتهية الصلاحية.
راجع مراجعات الوكيل المستقل لحدود التفويض والتنفيذ.
التفويضات
الجسم
application/json
الاستجابة
النتيجة المسجلة

